--
-- Rabe Schwergrubber by iMarwin
-- Specialization Rabe Schwergrubber
--
-- @author:  	Fendt208V, SFM-Modding
-- @date:		05/08/11
-- @version:	v1.0
-- 

RabeSchwergrubber = {};

function RabeSchwergrubber.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Attachable, specializations);
end;

function RabeSchwergrubber:load(xmlFile)

	self.attacherOptions = {};
	self.attacherOptions.pallet = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.attacherJoint#pallet"));
	self.attacherOptions.scale = 1;
end;
	
	function RabeSchwergrubber:onAttach()
	setVisibility(self.attacherOptions.pallet, false);
	self.attachingFinished = true;
end;

function RabeSchwergrubber:onDetach()
	setVisibility(self.attacherOptions.pallet, true);
end;

function RabeSchwergrubber:draw()
end;

function RabeSchwergrubber:update(dt)
end;

function RabeSchwergrubber:keyEvent(unicode,sym,modifier,isDown)
end;

function RabeSchwergrubber:mouseEvent(posX,posY,isDown,isUp,button)
end;

function RabeSchwergrubber:delete()
end;
